package com.wdkl.ncs.android.middleware.common;

import com.wdkl.ncs.android.middleware.model.vo.FrameAudioRoomVO;

import java.util.ArrayList;

public class Constant {

    public static String APP_PATH = "";

    //TCP服务器地址：
    public static String TCP_SERVER_URL = "";

    //数据接口端口：
    public static int URL_PORT = 8006;

    //TCP服务端口
    public static int TCP_PORT = 5080;

    //TCP服务连接心跳
    public static int TCP_HEART_BEAT = 9;

    //TCP连接是否成功
    public static boolean TCP_CONNECTED = false;

    //延时重启app
    public static boolean LATER_RESTART = false;

    //0--白天，1--夜晚
    public static int day_state = -1;

    //待机
    public final static int CALL_STANDBY = 0;

    //呼叫
    public final static int CALL_OUTGOING = 1;

    //呼叫成功
    public final static int CALL_OUT_SUCCESS = 2;

    //来电中
    public final static int CALL_INCOMING = 3;

    //通话中
    public final static int CALL_CALLING = 4;

    //通话状态
    public static int CALL_STATE = CALL_STANDBY;

    //佛山项目开启自动接听
    public static boolean autoAnswer = false;

    //MAC地址
    public static String LOCAL_MAC = "";
    public static String LOCAL_IP = "";

    //设备ID
    public static Integer DEVICE_ID;

    //客户ID
    public static Integer CUSTOM_ID = -1;

    //SIP ID
    public static String SIP_ID = "";

    //科室id
    public static Integer PART_ID;

    //设备启用状态
    public static Integer DEVICE_STATUS = -1;

    //设备类型-LCD走廊屏
    public static Integer DEVICE_TYPE = 5;
    /**
     * 注册设备出厂编号
     */
    public static String DEVICE_CODE = "";

    /**
     * 设备型号
     */
    public static String DEVICE_MODEL = "";

    /**
     * 设备软件版本信息
     */
    public static String DEVICE_SOFT_VER = "SW1.0";

    /**
     * 设备硬件版本信息
     */
    public static String DEVICE_HARD_VER = "HV1.0";

    /**
     * 设备别名
     */
    public static String DEVICE_NAME = "LCD走廊屏";

    //来电设备id
    public static Integer fromId = -1;

    /**
     * Sip注册状态
     */
    public static final int EVENT_SIP_REGISTER_STATUS = 0x01;

    /**
     * Sip通话状态
     */
    public static final int EVENT_SIP_CALL_STATUS = 0x02;

    /**
     * 以太网ping状态
     */
    public static final int EVENT_INTERNETPING = 0x03;

    /**
     * 返回主fragment
     */
    public static final int EVENT_BACK_MAIN = 0x04;

    /**
     * TCP消息
     */
    public static final int EVENT_TCP_MSG = 0x05;

    /**
     * TCP连接状态
     */
    public static final int EVENT_TCP_STATE = 0x06;

    /**
     * 刷新客户信息
     */
    public static final int EVENT_UPDATE_CUSTOM = 0x07;

    /**
     * 通话状态
     */
    public static final int EVENT_CALL_STATE = 0x08;

    /**
     * 退出通话界面
     */
    public static final int EVENT_REMOVE_CALL_FRAGMENT = 0x09;

    /**
     * 串口消息
     */
    public static final int EVENT_SERIAL_EVENT = 0x10;

    public static final int EVENT_RESTART_APP = 0x11;

    public static final int EVENT_END_CALL = 0x12;
}
