package com.wdkl.ncs.android.middleware.logic.contract.shop

import com.wdkl.ncs.android.lib.base.BaseContract
import com.wdkl.ncs.android.middleware.model.ShopItem
import com.wdkl.ncs.android.middleware.model.ShopViewModel


interface ShopListContract {

    interface View :BaseContract.BaseView{

        fun render(data :ArrayList<ShopItem>)

    }

    interface Presenter :BaseContract.BasePresenter{

        fun loadData(keyWord :String ,page : Int)

    }

}