package com.wdkl.ncs.android.middleware.model.vo;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import com.wdkl.ncs.android.middleware.model.dos.InteractionDO;

/**
 * @program nc
 * @description:
 * @author: Vothin
 * @create: 2021/04/02 15:27
 */
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class InteractionVO extends InteractionDO {

    @Override
    public String toString() {
        return "InteractionVO{" +
                "fromCustomerId=" + getFromCustomerId() +
                ", fromMemberName='" + getFromDeviceType() + '\'' +
                ", fromMemberFace='" + getFromMemberFace() + '\'' +
                ", fromClerkId=" + getFromClerkId() +
                ", fromRoleName='" + getFromRoleName() + '\'' +
                ", toCustomerId=" + getToCustomerId() +
                ", toMemberName='" + getToMemberName() + '\'' +
                ", toMemberFace='" + getToMemberFace() + '\'' +
                ", toClerkId=" + getToClerkId() +
                ", toRoleName='" + getToRoleName() + '\'' +
                ", fromEthMac='" + getFromEthMac() + '\'' +
                ", fromEthIp='" + getFromEthIp() + '\'' +
                ", fromSipId='" + getFromSipId() + '\'' +
                ", fromDeviceType=" + getFromDeviceType() +
                ", toEthMac='" + getToEthMac() + '\'' +
                ", toEthIp='" + getToEthIp() + '\'' +
                ", toSipId='" + getToSipId() + '\'' +
                ", toDeviceType=" + getToDeviceType() +
                ", fromFrameType=" + getFromFrameType() +
                ", fromFrameName='" + getFromFrameName() + '\'' +
                ", fromFrameFullName='" + getFromFrameFullName() + '\'' +
                ", toFrameType=" + getToFrameType() +
                ", toFrameName='" + getToFrameName() + '\'' +
                ", toFrameFullName='" + getToFrameFullName() + '\'' +
                ", relativeId=" + getRelativeId() +
                ", relativeName='" + getRelativeName() + '\'' +
                ", actionStatus='" + getActionStatus() + '\'' +
                ", actionEndMemberId=" + getActionEndMemberId() +
                ", actionEndMemberName='" + getActionEndMemberName() + '\'' +
                '}';
    }
}

